=== debian/changelog ===
opencpn-plugin-squiddio (0.7.1-0mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:32:38 -0700

opencpn-plugin-squiddio (0.7.1-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 17:45:04 -0700

opencpn-plugin-squiddio (0.7.1-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 17:38:41 -0700

opencpn-plugin-squiddio (0.7.1-0~xenial1) xenial; urgency=low

  * Version 0.7.1

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 28 Feb 2016 17:07:15 -0600

opencpn-plugin-squiddio (0.7.0-0~precise1) precise; urgency=low

  * Version 0.7

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 24 Feb 2016 16:39:46 -0600

opencpn-plugin-squiddio (0.7.0-0~trusty1) trusty; urgency=low

  * Version 0.7

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 24 Feb 2016 16:39:46 -0600

opencpn-plugin-squiddio (0.7.0-0~vivid1) vivid; urgency=low

  * Version 0.7

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 24 Feb 2016 16:39:46 -0600

opencpn-plugin-squiddio (0.7.0-0~wily1) wily; urgency=low

  * Version 0.7

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 24 Feb 2016 16:39:46 -0600

opencpn-plugin-squiddio (0.7.0-0~xenial1) xenial; urgency=low

  * Version 0.7

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 24 Feb 2016 16:39:46 -0600

opencpn-plugin-squiddio (0.5.0-0~precise1) precise; urgency=low

  * Version 0.5

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 29 Jun 2015 21:42:52 -0500

opencpn-plugin-squiddio (0.5.0-0~trusty1) trusty; urgency=low

  * Version 0.5

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 29 Jun 2015 21:42:52 -0500

opencpn-plugin-squiddio (0.5.0-0~utopic1) utopic; urgency=low

  * Version 0.5

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 29 Jun 2015 21:42:52 -0500

opencpn-plugin-squiddio (0.5.0-0~vivid1) vivid; urgency=low

  * Version 0.5

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 29 Jun 2015 21:42:52 -0500

opencpn-plugin-squiddio (0.5.0-0~wily1) wily; urgency=low

  * Version 0.5

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 29 Jun 2015 21:42:52 -0500

opencpn-plugin-squiddio (0.4.2-0~precise1) precise; urgency=low

  * Version 0.4.2 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 20:27:12 -0500

opencpn-plugin-squiddio (0.4.2-0~trusty1) trusty; urgency=low

  * Version 0.4.2 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 20:27:12 -0500

opencpn-plugin-squiddio (0.4.2-0~utopic1) utopic; urgency=low

  * Version 0.4.2 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 20:27:12 -0500

opencpn-plugin-squiddio (0.4.2-0~vivid1) vivid; urgency=low

  * Version 0.4.2 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 20:27:12 -0500

opencpn-plugin-squiddio (0.4.2-0~wily1) wily; urgency=low

  * Version 0.4.2 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 20:27:12 -0500

opencpn-plugin-squiddio (0.4.1-0~precise1) precise; urgency=low

  * Version 0.4.1 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 20:24:26 -0500

opencpn-plugin-squiddio (0.4.1-0~trusty1) trusty; urgency=low

  * Version 0.4.1 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 20:24:26 -0500

opencpn-plugin-squiddio (0.4.1-0~utopic1) utopic; urgency=low

  * Version 0.4.1 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 20:24:26 -0500

opencpn-plugin-squiddio (0.4.1-0~vivid1) vivid; urgency=low

  * Version 0.4.1 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 20:24:26 -0500

opencpn-plugin-squiddio (0.4.1-0~wily1) wily; urgency=low

  * Version 0.4.1 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 20:24:26 -0500

opencpn-plugin-squiddio (0.4.1-0~lucid1) lucid; urgency=low

  * Version 0.4.1 beta

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 11 Feb 2015 19:30:54 -0600

opencpn-plugin-squiddio (0.4.0-0~lucid1) lucid; urgency=low

  * Version 0.4 beta

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 08 Feb 2015 21:41:25 -0600

opencpn-plugin-squiddio (0.4.0-0~precise1) precise; urgency=low

  * Version 0.4 beta

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 08 Feb 2015 21:41:25 -0600

opencpn-plugin-squiddio (0.4.0-0~trusty1) trusty; urgency=low

  * Version 0.4 beta

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 08 Feb 2015 21:41:25 -0600

opencpn-plugin-squiddio (0.4.0-0~utopic1) utopic; urgency=low

  * Version 0.4 beta

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 08 Feb 2015 21:41:25 -0600

opencpn-plugin-squiddio (0.4.0-0~vivid1) vivid; urgency=low

  * Version 0.4 beta

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 08 Feb 2015 21:41:25 -0600
